<?php

/**
 * Books filter form base class.
 *
 * @package    bookshop
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormFilterGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseBooksFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'title'     => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'author'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'publisher' => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'price'     => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'yearofpub' => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'title'     => new sfValidatorPass(array('required' => false)),
      'author'    => new sfValidatorPass(array('required' => false)),
      'publisher' => new sfValidatorPass(array('required' => false)),
      'price'     => new sfValidatorPass(array('required' => false)),
      'yearofpub' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('books_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Books';
  }

  public function getFields()
  {
    return array(
      'id'        => 'Number',
      'title'     => 'Text',
      'author'    => 'Text',
      'publisher' => 'Text',
      'price'     => 'Text',
      'yearofpub' => 'Text',
    );
  }
}
