<?php

/**
 * Books form base class.
 *
 * @method Books getObject() Returns the current form's model object
 *
 * @package    bookshop
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseBooksForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'        => new sfWidgetFormInputHidden(),
      'title'     => new sfWidgetFormInputText(),
      'author'    => new sfWidgetFormInputText(),
      'publisher' => new sfWidgetFormInputText(),
      'price'     => new sfWidgetFormInputText(),
      'yearofpub' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'        => new sfValidatorPropelChoice(array('model' => 'Books', 'column' => 'id', 'required' => false)),
      'title'     => new sfValidatorString(array('max_length' => 255)),
      'author'    => new sfValidatorString(array('max_length' => 255)),
      'publisher' => new sfValidatorString(array('max_length' => 255)),
      'price'     => new sfValidatorString(array('max_length' => 255)),
      'yearofpub' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('books[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Books';
  }


}
